Subject: bug#43714: 28.1: auto-revert code improvements [PATCH]

From: Boruch Baum <[email-masked]>
Date: Thu, 1 Oct 2020 01:42:04 -0400

On 2020-10-01 01:55, Lars Ingebrigtsen wrote:
> Boruch Baum <[email-masked]> writes:
>
> Now applied to Emacs 28 (with some changes).  As far as I can see, it's
> just a refactoring of auto-revert-buffers?

Hope is, yes.

>  Normally, we don't do pure refactorings like this (because it makes
> code archaeology more difficult), but this one seemed pretty nice.

Thanks. I suspect that it may turn out to come in handy for bug #43412
'autorevert-only-if-visible', which will be a case of performing an
instant auto-revert on a single buffer (or small set of buffers) without
using a timer.

--
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0